## org.hibernate.context.internal
Class ThreadLocalSessionContext.CleanupSynch

    java.lang.Object
      org.hibernate.context.internal.ThreadLocalSessionContext.CleanupSynch

All Implemented Interfaces:
  Serializable, Synchronization

Enclosing class:
  ThreadLocalSessionContext

    protected static class ThreadLocalSessionContext.CleanupSynch

extends Object
implements Synchronization, Serializable

JTA transaction synch used for cleanup of the internal session map.

See Also:
  Serialized Form

Field Summary
`protected SessionFactory` `factory`

Constructor Summary
`ThreadLocalSessionContext.CleanupSynch(SessionFactory factory)`

Method Summary
`void` `afterCompletion(int i)`
`void` `beforeCompletion()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### factory

    protected final SessionFactory factory

Constructor Detail

### ThreadLocalSessionContext.CleanupSynch

    public ThreadLocalSessionContext.CleanupSynch(SessionFactory factory)

Method Detail

### beforeCompletion

    public void beforeCompletion()

  Specified by:
    `beforeCompletion` in interface `Synchronization`

### afterCompletion

    public void afterCompletion(int i)

  Specified by:
    `afterCompletion` in interface `Synchronization`

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.